org.apache.cassandra.utils

## Class WrappedInt

- java.lang.Object
- - org.apache.cassandra.utils.WrappedInt

-     public class WrappedInt
      extends java.lang.Object

  Simple wrapper for native int type

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrappedInt(int initial)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decrement()`
    `int` | `get()`
    `void` | `increment()`
    `void` | `set(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WrappedInt

          public WrappedInt(int initial)

  - ### Method Detail

    - #### get

          public int get()

    - #### set

          public void set(int value)

    - #### increment

          public void increment()

    - #### decrement

          public void decrement()

Copyright © 2018 The Apache Software Foundation